Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517058 - Sorting "status" in Brick Status is incorrectly sorting "Brick Path" when the status is same for all bricks
Summary: Sorting "status" in Brick Status is incorrectly sorting "Brick Path" when ...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Ankush Behl
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 06:14 UTC by Vijay Avuthu
Modified: 2019-04-11 08:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Vijay Avuthu 2017-11-24 06:14:14 UTC
Description of problem:

Sorting for "status" in Brick Status is incorrectly sorting the "Brick Path" if the status for all the bricks are same. 

Version-Release number of selected component (if applicable):

tendrl-grafana-plugins-1.5.4-5.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-5.el7rhgs.noarch
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.4-4.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-notifier-1.5.4-3.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch


How reproducible:

Always

Steps to Reproduce:

1. Install Gluster with volumes
2. Prepare, install and configure Tendrl server 
3. Import Gluster to Tendrl server in GUI
4. Navigate to Tendrl-Gluster-Volumes ( Dashboard --> Home --> Volumes )
5. make sure all the brick status is same
6. Sort the "status" for brick status ( Ascending, Descending, Idle )

Actual results:

"Brick Path" is sorting when we sort the "status"


Expected results:

"Brick Path" shopuld not be sorted when we sort the "status"

Additional info:

Comment 3 Neha Gupta 2017-11-28 11:23:33 UTC
@vavuthu@redhat.com There is no screen corresponding to the reference you have provided in UI. I think, you are referring to grafana dashboard view.


Note You need to log in before you can comment on or make changes to this bug.